Bug 1508968 - Need to rebuild rpm in order to remove static relocations not known to older linkers
Summary: Need to rebuild rpm in order to remove static relocations not known to older ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gcc
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Marek Polacek
QA Contact: Michael Petlan
Vladimír Slávik
URL:
Whiteboard:
Depends On: 1508954 1508965 1508966
Blocks: 1508970 1508979 1508980 1508983
TreeView+ depends on / blocked
 
Reported: 2017-11-02 15:14 UTC by Nick Clifton
Modified: 2018-04-10 15:14 UTC (History)
10 users (show)

Fixed In Version: gcc-4.8.5-23.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1508966
: 1508970 (view as bug list)
Environment:
Last Closed: 2018-04-10 15:12:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0849 0 None None None 2018-04-10 15:14:06 UTC

Comment 2 Nick Clifton 2017-11-02 15:36:28 UTC
Oops - there are some other rpms associated with the gcc component that also need to be rebuilt:

  libasan-static-4.8.5-22.el7.i686.rpm
  libasan-static-4.8.5-22.el7.x86_64.rpm
 
  libgo-static-4.8.5-22.el7.i686.rpm
  libgo-static-4.8.5-22.el7.x86_64.rpm
 
  libstdc++-static-4.8.5-22.el7.i686.rpm
  libstdc++-static-4.8.5-22.el7.x86_64.rpm

  libtsan-static-4.8.5-22.el7.x86_64.rpm

Comment 7 Michael Petlan 2017-11-20 16:36:03 UTC
Reproduced with 4.8.5-22.el7, VERIFIED for 4.8.5-25.el7.
Added a simple testcase that should ring a bell if the relocs occur there again.

Comment 14 errata-xmlrpc 2018-04-10 15:12:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0849


Note You need to log in before you can comment on or make changes to this bug.